
Infrastructure - Task #2382

Story # 2045 (Closed): Get the DataONE CLI ready for public release

CLI "denyall" command crashes program.

2012-02-23 18:36 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The "@denyall@" command crashes the CLI:

      @TypeError: access_control_remove_all_allowed_subjects() takes exactly 2 arguments (1 given)@

History

#1 - 2012-02-23 22:18 - Andrew Pippin

- Assignee changed from Andrew Pippin to Roger Dahl

- % Done changed from 0 to 90

(SVN r7103)

Removed unecessary line parameter from access_control.remove_all_subjects(). 

#2 - 2012-03-06 00:20 - Andrew Pippin

- Status changed from New to Closed

Closing.
